Delete SCM config
curl --request DELETE \
--url https://semgrep.dev/api/scm/deployments/{deploymentId}/configs/{configId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://semgrep.dev/api/scm/deployments/{deploymentId}/configs/{configId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://semgrep.dev/api/scm/deployments/{deploymentId}/configs/{configId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Source Code Management (SCM) configurations
Delete SCM config
Delete an SCM config by its ID.
DELETE
/
api
/
scm
/
deployments
/
{deploymentId}
/
configs
/
{configId}
Delete SCM config
This endpoint is experimental. It may change or be removed without notice and is not covered by API stability guarantees.
Authorizations
SemgrepWebTokenSemgrepJWT
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Response
204 - application/json
No Content
The response is of type object.
Was this page helpful?
⌘I